Bug 140431 - FILESAVE XLSX Double file:// prefix when saving hyperlink pointing to file on network share to XLSX
Summary: FILESAVE XLSX Double file:// prefix when saving hyperlink pointing to file on...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Network XLSX-Hyperlink
  Show dependency treegraph
 
Reported: 2021-02-15 14:23 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 09:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (9.41 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-02-15 14:23 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc (5.74 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-02-15 14:24 UTC, NISZ LibreOffice Team
Details
Screenshot of the original documents hyperlink in Excel (59.31 KB, image/png)
2021-02-15 14:24 UTC, NISZ LibreOffice Team
Details
Screenshot of the original documents hyperlink in Calc (65.91 KB, image/png)
2021-02-15 14:24 UTC, NISZ LibreOffice Team
Details
Screenshot of the saved documents hyperlink in Calc (64.99 KB, image/png)
2021-02-15 14:25 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-02-15 14:23:39 UTC
Created attachment 169761 [details]
Example file from Excel

This is a followup to bug #129969 
When a hyperlink pointing to another file on a network share is saved to XLSX format the file:// prefix gets doubled.

Steps to reproduce:
    1. Open attached file (minimized from attachment #168022 [details] of bug #129969)
    2. Save as XLSX
    3. Reload, open the Hyperlink dialog on cell A3

Actual results:
Path is:
file:///file://ndhlis-cbut018/CBUT018/abc$/2020%20folder/%23AU%202700/AU%202700%20Evaluation%20Record/AU%202700%20Reagent%20Evaluation/UCSFP%20lot%202638.docx

Expected results:
Path should be:
file://ndhlis-cbut018/CBUT018/abc$/2020%20folder/%23AU%202700/AU%202700%20Evaluation%20Record/AU%202700%20Reagent%20Evaluation/UCSFP%20lot%202638.docx

Or very similar to what Excel shows:
\\ndhlis-cbut018\CBUT018\abc$\2020 folder\#AU 2700\AU 2700 Evaluation Record\AU 2700 Reagent Evaluation\UCSFP lot 2638.docx

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 28555fc345ac2ccdda0e4e0f3c812c646befe68b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-GB
Calc: CL

Additional Information: 

Bibisected using bibisect-win64-7.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=fc58d7d65b9683db7b7632137126680b8483f6c5 

author	Tünde Tóth <toth.tunde@nisz.hu>	2020-10-14 10:53:54 +0200
committer	László Németh <nemeth@numbertext.org>	2020-10-26 08:54:26 +0100

tdf#129969 XLSX export: file URLs need IURI encoding

Adding CC to: Tünde Tóth
Comment 1 NISZ LibreOffice Team 2021-02-15 14:24:06 UTC
Created attachment 169762 [details]
The original file saved by Calc
Comment 2 NISZ LibreOffice Team 2021-02-15 14:24:31 UTC
Created attachment 169763 [details]
Screenshot of the original documents hyperlink in Excel
Comment 3 NISZ LibreOffice Team 2021-02-15 14:24:52 UTC
Created attachment 169764 [details]
Screenshot of the original documents hyperlink in Calc
Comment 4 NISZ LibreOffice Team 2021-02-15 14:25:07 UTC
Created attachment 169765 [details]
Screenshot of the saved documents hyperlink in Calc
Comment 5 Commit Notification 2021-06-30 11:36:51 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/67e2cc17bad3fd7aacb94da47f9024b731434a84

tdf#140431 XLSX export: fix double file:// prefix

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-06-30 18:57:52 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/900ec0ac2b5fa0eb3bf42220077dc391e1aa4522

tdf#140431 XLSX export: fix double file:// prefix

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-07-02 18:29:23 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/26e447de1d6b940588ea3ae8f22e35a18aa60754

tdf#140431 XLSX export: fix double file:// prefix

It will be available in 7.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-07-03 06:02:28 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-5":

https://git.libreoffice.org/core/commit/a16ca67218be6dad183208694daf515d682b50d4

tdf#140431 XLSX export: fix double file:// prefix

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2021-07-05 09:12:03 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded